Bug 167306 - NM doesn't show wireless network strength (ipw2200)
NM doesn't show wireless network strength (ipw2200)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 10:37 EDT by Andrew Overholt
Modified: 2015-01-04 17:21 EST (History)
6 users (show)

See Also:
Fixed In Version: rawhide
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 11:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2005-09-01 10:37:52 EDT
Description of problem:
NM doesn't show wireless network strength with ipw2200 driver.

Version-Release number of selected component (if applicable):
NetworkManager-0.4-20.FC4.1
kernel-2.6.11-1.1369_FC4
kernel-2.6.12-1.1447_FC4 (both kernels have the same behaviour)

How reproducible:
Always.

Steps to Reproduce:
1. service NetworkManager start; NetworkManagerInfo
2. Click notification area applet
  
Actual results:
No signal strength for wireless networks

Expected results:
Signal strength shown

Additional info:
This could be related to bug 167305.  Please set that bug for details about my
hardware and firmware setup.  Sorry if this is a kernel bug.
Comment 1 Dan Williams 2005-09-01 10:54:17 EDT
Yeah, if it doesn't show signal strength, its a kernel bug in the driver.  The
driver doesn't conform to the WEXT signal strength standard evidentally.  Note
that ipw2100 doesn't show signal strength either.  Over to kernel.
Comment 2 Dan Williams 2005-09-05 15:58:15 EDT
Dave:  Bill Moss' ipw2200 WEXT quality conformance patch landed in ipw2200
1.0.1.  It looks like we're using 1.0.0 still in the rawhide kernels, which is
why we don't see strength in NetworkManager.
Comment 3 Dave Jones 2005-09-30 02:34:36 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 4 Andrew Overholt 2005-09-30 10:58:20 EDT
I upgraded my kernel and rebooted and I still can't see signal strength.
Comment 5 David Perkinson 2005-10-09 01:45:11 EDT
I've got the same problem after updating to 2.6.13-1.1526_FC4 on my thinkpad x40.
Comment 6 Dave Jones 2005-11-10 14:35:10 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 Andrew Overholt 2005-11-10 21:28:24 EST
(In reply to comment #6)
> 2.6.14-1.1637_FC4 has been released as an update for FC4.

Still there.
Comment 8 David Perkinson 2005-11-12 11:14:30 EST
> 2.6.14-1.1637_FC4 has been released as an update for FC4.

Still there for me, too.
Comment 9 Dave Jones 2006-02-03 01:50:57 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 Andrew Overholt 2006-02-07 15:27:04 EST
(In reply to comment #9)
> A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
> based upon a new upstream kernel release.

Still there for me.
Comment 11 David Perkinson 2006-02-08 00:45:51 EST
After upgrading to 2.6.15-1.1830_FC4 and upgrading the ipw2200 firmware to
ipw-2.4, NM works perfectly now for me on my thinkpad x40.  It is amazingly
graceful coming out of sleep mode now after I added code found at
http://www.ces.clemson.edu/linux/suspend_mem.shtml to my suspend.sh script.

Comment 12 Dave Jones 2006-09-16 22:11:22 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 13 Andrew Overholt 2006-09-19 10:32:05 EDT
This is working for me in rawhide.  I don't have any < rawhide systems to test
this with.  Shall we mark it fixed?
Comment 14 Dave Jones 2006-10-16 17:12:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 15 petrosyan 2008-03-10 11:45:07 EDT
Closing as requested in comment #13

Note You need to log in before you can comment on or make changes to this bug.